First time here? Check out the FAQ!
x

My old Mac software (Nascar Racing & Indy Car Racing II) won't run on my new iMac. A message says: "Classic environment is not supported." Any solutions?

0 votes
asked by
edited by

My old Mac software (Nascar Racing & Indy Car Racing II) won't run on my new iMac. A message says: "Classic environment is not supported." Any solutions?

1 Answer

0 votes
answered by (100k points)
edited by

When Apple release the MacOS 10 upgrade, they applied the term “Classic” to the error when an application/game is too old to run on newer operating systems. Bypassing or getting around this error is currently not possible because there is no way you could go back to the older operating system because the device itself does not support it due to the upgraded hardware which requires newer technologies. There is a solution but it requires that you emulate a prior version of your operating system and it also requires an installation CD plus it needs additional tweaking which in most cases will fail to work due to the lack of support for the specific emulator. If there isn’t an updated version for your software/games provided by official developer then you should download the patch/fix and if not then there is nothing to do about it.

Your answer

Your name to display (optional):
Privacy: Your email address will only be used for sending these notifications.
Anti-spam verification:
To avoid this verification in future, please log in or register
...